 // -*- C++ -*-
/*************************************************************************  
 * File name  :  	rfsysinfo.h 
 * Owner      :  	Diancheng Wang 
 * Copyright  :  	redflag-linux Corp.
 * Description :  	get disk partitions infomation base libparted  
 * Modified    :  	1.modifeied on 2005/10/18 by Diancheng Wang
 *************************************************************************/

#ifndef PARTITION_H
#define PARTITION_H
#include <qptrlist.h>
#include <vector>
#include <qstring.h>
using namespace std;
struct Partition
{
  int usageStatus;
  int minor;
  QString used;
  QString startPos;
  QString endPos;
  QString fsType;
  QString deviceName;
  QString partitionName;
   unsigned long long  size;
};
 typedef QPtrList<Partition> partition_list;
typedef vector<QString> qstring_array;
class PartitionsInfo
{
public:
  PartitionsInfo();
  ~PartitionsInfo();
  partition_list partitions;
  qstring_array diskDeviceList;
  int getAllPartitionsInfo();
private:
  int getDiskDeviceList();
  int addDiskPartitionsInfo(const QString &devName);
  int getPartitions();
  int detectFreeSpace();



};

#endif
